<?php

/*
 * Default strings and URLs for the enterprise theme
 * 
 */

class OC_Theme {

	private $enterpriseEntity;
	private $enterpriseName;
	private $enterpriseBaseUrl;
	private $enterpriseDocBaseUrl;
	private $enterpiseSyncClientUrl;
	private $enterpriseSlogan;
	private $enterpriseLogoClaim;

	function __construct() {
		$this->enterpriseEntity = "ownCloud Inc.";
		$this->enterpriseName = "ownCloud Enterprise Edition";
		$this->enterpriseBaseUrl = "https://owncloud.com";
		$this->enterpriseDocBaseUrl = "http://doc.owncloud.com";
		$this->enterpiseSyncClientUrl = "https://owncloud.com/products/desktop-clients";
		$this->enterpriseSlogan = "Your Cloud, Your Data, Your Way!";
		$this->enterpriseLogoClaim = "Enterprise Edition";
	}

	public function getBaseUrl() {
		return $this->enterpriseBaseUrl;
	}

	public function getSyncClientUrl() {
		return $this->enterpiseSyncClientUrl;
	}

	public function getDocBaseUrl() {
		return $this->enterpriseDocBaseUrl;
	}
	
	public function getName() {
		return $this->enterpriseName;
	}

	public function getEntity() {
		return $this->enterpriseEntity;
	}

	public function getSlogan() {
		return $this->enterpriseSlogan;
	}

	public function getLogoClaim() {
		return $this->enterpriseLogoClaim;
	}

	public function getShortFooter() {
		$footer = "© 2013 <a href=\"".$this->getBaseUrl()."\" target=\"_blank\">".$this->getEntity()."</a>".
			" – " . $this->getSlogan();

		return $footer;
	}

	public function getLongFooter() {
		$footer = "© 2013 <a href=\"".$this->getBaseUrl()."\" target=\"_blank\">".$this->getEntity()."</a>".
			"<br/>" . $this->getSlogan();

		return $footer;
	}

}

